.js-video {
  position: relative;
  max-width: 640px;
  max-height: 300px;
  margin: 10px auto;
  padding: 0px;
  /*background: #494A5F;*/
  /*background: #f7f7f7;*/
  border-radius:5px;
 /* z-index: 99999;*/
  color: #D5D6E2;
  object-fit:cover;
  overflow: hidden;
}
/*********************
 * Elements inside js-video
 *********************/
.js-video video {
  max-width: 100%;
  max-height: 300px;
  background-size: cover;
  background-position: center center;
  margin: 0 auto;
  padding:0px;
  border-radius:5px;
  overflow: hidden;
}
.js-video video:after{
    content:'clear';
    display:block;
    height:0;
    clear:both;
    overflow:hidden;
    visibility:hidden;
}
.js-video button {
  -moz-appearance: none;
  -webkit-appearance: none;
}

/*********************
 * UI
 *********************/
.playPause.ui-icon {
  position: absolute;
  top: 0px;
  left:0px;
  right: 0;
  display: block;
  width: auto;
  bottom: 0px;
}
.playPause.ui-icon:before, .playPause.ui-icon:after {
  position: absolute;
  top: 50%;
  left: 50%;
}
.playPause.ui-icon:before {
  font-size: 40px;
  line-height: 80px;
  color: linear-gradient(to right, #FF0000,#FF7F00,#FFFF00,#00FF00,#00FFFF, #0000FF,#8B00FF);
  z-index: 2;
  top: 50%;
  left: 50%;
  margin: -40px 0 0 -14px;
/* text-shadow: 2px 2px 2px #f00;*/
}
.playPause.ui-icon:hover:before {
  color: rgba(255, 255, 255, 0.5);
}

.playPause.ui-icon.fa-pause:before, .playPause.ui-icon.fa-undo:before {
  margin-left: -17px;
}
.playPause.ui-icon.fa-pause {
  opacity: 0;
}
.bse{
   /* background: linear-gradient(to right, red, orange, yellow, green, cyan, blue,  purple);*/
    background: linear-gradient(to right, #FF0000,#FF7F00,#FFFF00,#00FF00,#00FFFF, #0000FF,#8B00FF);
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
    animation:  hue 2s linear infinite;
    filter: Alpha(Opacity=10);text-shadow: 0 -1px 0px #fff;
}
@keyframes hue {
    0% {
        filter: hue-rotate(0deg);
    }
    90% {
        filter: hue-rotate(90deg);
    }
    180% {
        filter: hue-rotate(180deg);
    }
    270% {
        filter: hue-rotate(270deg);
    }
    100% {
        filter: hue-rotate(360deg);
    }
}
.js-video .controls-box {
  width: 90%;
  padding: 1px 0;
  font-size: 0;
  display: -webkit-flex;
  display: flex;
  position: absolute;
  bottom: 10px;
  left: 0;
}
.js-video  .copyright{
  position: absolute;
  left: 10px;
  top: 10px;
  font-size: 14px;
  font-weight: bold;
  color: #fff;
  text-shadow: 0 -1px 1px #eee;
}
.controls-box .progress, .controls-box .volumeControl{
  padding-top: 3px;
}
.controls-box .progress{
  -webkit-flex: 30 30 1px;
  flex: 30 30 1px;
  margin-right: 0px;
}
.controls-box .timeDisplay{
  -webkit-flex: 1 0 60px;
  flex: 1 0 60px;
  font-size: 12px;
  margin-right: 10px;
  text-align: center;
  line-height: 20px;
}
.controls-box .sdiv{
  -webkit-flex: 0 0 20px;
  flex: 0 0 20px;
  margin-right: 10px;
}

.timeDisplay {
  white-space: nowrap;
}
.timeDisplay i {
  font-style: normal;
}

.js-video .fullscreen {
  position: absolute;
  font-style: normal;
  right: 15px;
  bottom:20px;
  display: block;
  width: 20px;
  height: 20px;
  text-align: center;
  cursor: pointer;
  -moz-transition: color 0.3s;
  -o-transition: color 0.3s;
  -webkit-transition: color 0.3s;
  transition: color 0.3s;
}
.js-video .fullscreen:before {
  font-size: 20px;
  line-height: 30px;
  color: rgba(255, 255, 255, 0.4);
}
.js-video .fullscreen:hover:before {
  color: rgba(255, 255, 255, 0.8);
}

.ui-icon {
  font-size: 20px;
  vertical-align: middle;
  width: 20px;
  margin-right: 10px;
  cursor: pointer;
}

/*********************
 * Progress
 *********************/
.progress, .volumeControl {
  background: rgba(0, 0, 0, 0.1);
  width: 100%;
  position: relative;
  height: 1px;
  cursor: pointer;
  overflow: hidden;
  border-radius: 2px;
  border: 0;
  margin-top:7px;
}

.progress > * {
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
}

.progress-time {
  background-color:#fff;
}

.anim {
  -moz-transition: width 1000ms linear;
  -o-transition: width 1000ms linear;
  -webkit-transition: width 1000ms linear;
  transition: width 1000ms linear;
}

.progress-buffer {
  background-color: rgba(0, 0, 0, 0.3);
  -moz-transition: width 250ms linear;
  -o-transition: width 250ms linear;
  -webkit-transition: width 250ms linear;
  transition: width 250ms linear;
}

.controls-box .volumeControl {
  width: 100%;
  overflow: visible;
  position: relative;
  background: rgba(0, 0, 0, 0.3);
  margin-top: 0px;
  -webkit-flex: 0 0 60px;
  flex: 0 0 60px;
}
.volumeControl .ui-slider-handle {
  position: absolute;
  width: 9px;
  height: 9px;
  border: 0;
  top: -2px;
  background: transparent;
}
.volumeControl .ui-slider-handle:after {
  content: '';
  position: absolute;
  width: 100%;
  height: 100%;
  left: -50%;
  background: black;
  border-radius: 4px;
}
.volumeControl .ui-slider-handle:focus {
  outline: none;
}

audio,canvas,video {
  display: inline-block;
}
audio:not([controls]){
  display: none;
  height: 0;
}[hidden]{
  display: none;
}